---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/git-commit: 7412ed62648dfba69aac47852e20cced2e5238d1
      fabric8.io/scm-con-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      prometheus.io/port: "9779"
      fabric8.io/scm-url: http://github.com/syndesisio/syndesis-rest/runtime/
      fabric8.io/git-branch: 7412ed62648dfba69aac47852e20cced2e5238d1
      prometheus.io/scrape: "true"
      fabric8.io/scm-devcon-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      fabric8.io/scm-tag: syndesis-rest-parent-1.1.1
    labels:
      expose: "true"
      provider: fabric8
      project: runtime
      version: 1.1.1
      group: io.syndesis
    name: runtime
  spec:
    ports:
    - name: http
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      project: runtime
      provider: fabric8
      group: io.syndesis
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    annotations:
      fabric8.io/git-commit: 7412ed62648dfba69aac47852e20cced2e5238d1
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=runtime&var-version=1.1.1
      fabric8.io/scm-con-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      fabric8.io/scm-url: http://github.com/syndesisio/syndesis-rest/runtime/
      fabric8.io/git-branch: 7412ed62648dfba69aac47852e20cced2e5238d1
      fabric8.io/scm-devcon-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      fabric8.io/scm-tag: syndesis-rest-parent-1.1.1
    labels:
      provider: fabric8
      project: runtime
      version: 1.1.1
      group: io.syndesis
    name: runtime
  spec:
    replicas: 1
    selector:
      matchLabels:
        project: runtime
        provider: fabric8
        version: 1.1.1
        group: io.syndesis
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 7412ed62648dfba69aac47852e20cced2e5238d1
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=runtime&var-version=1.1.1
          fabric8.io/scm-con-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
          fabric8.io/scm-url: http://github.com/syndesisio/syndesis-rest/runtime/
          fabric8.io/git-branch: 7412ed62648dfba69aac47852e20cced2e5238d1
          fabric8.io/scm-devcon-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
          fabric8.io/scm-tag: syndesis-rest-parent-1.1.1
        labels:
          provider: fabric8
          project: runtime
          version: 1.1.1
          group: io.syndesis
      spec:
        containers:
        - env:
          - name: JAVA_OPTIONS
            value: -Djava.net.preferIPv4Stack=true
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          - name: JAVA_APP_DIR
            value: /deployments
          image: syndesis/syndesis-rest:1.1.1
          imagePullPolicy: IfNotPresent
          livenessProbe:
            httpGet:
              path: /health
              port: 8181
              scheme: HTTP
            initialDelaySeconds: 180
          name: spring-boot
          ports:
          - containerPort: 8080
            name: http
            protocol: TCP
          - containerPort: 9779
            name: prometheus
            protocol: TCP
          - containerPort: 8778
            name: jolokia
            protocol: TCP
          readinessProbe:
            httpGet:
              path: /health
              port: 8181
              scheme: HTTP
            initialDelaySeconds: 10
          resources:
            limits:
              cpu: 1000m
              memory: 612Mi
            requests:
              cpu: 200m
              memory: 200Mi
          securityContext:
            privileged: false
